<html xmlns:f="http://typo3.org/ns/TYPO3/CMS/Fluid/ViewHelpers" data-namespace-typo3-fluid="true">
<f:layout name="Default" />

This template is responsible for creating a table of domain objects.

If you modify this template, do not forget to change the overwrite settings
in /Configuration/ExtensionBuilder/settings.yaml:
  Resources:
    Private:
      Templates:
        Profiles:
          List.html: keep

Otherwise your changes will be overwritten the next time you save the extension in the extension builder

<f:section name="content">
    <h1>Listing for Profiles</h1>

    <f:flashMessages />

    <table class="tx_sisbase">
        <tr>
            <th><f:translate key="tx_sisbase_domain_model_profiles.first_name" /></th>
            <th><f:translate key="tx_sisbase_domain_model_profiles.last_name" /></th>
            <th><f:translate key="tx_sisbase_domain_model_profiles.stage_name" /></th>
            <th><f:translate key="tx_sisbase_domain_model_profiles.profile_images" /></th>
            <th><f:translate key="tx_sisbase_domain_model_profiles.city" /></th>
            <th><f:translate key="tx_sisbase_domain_model_profiles.birthday" /></th>
            <th><f:translate key="tx_sisbase_domain_model_profiles.birthplace" /></th>
            <th><f:translate key="tx_sisbase_domain_model_profiles.nationality" /></th>
            <th><f:translate key="tx_sisbase_domain_model_profiles.gender" /></th>
            <th><f:translate key="tx_sisbase_domain_model_profiles.height" /></th>
            <th><f:translate key="tx_sisbase_domain_model_profiles.weight" /></th>
            <th><f:translate key="tx_sisbase_domain_model_profiles.contract_start" /></th>
            <th><f:translate key="tx_sisbase_domain_model_profiles.contract_end" /></th>
            <th><f:translate key="tx_sisbase_domain_model_profiles.email" /></th>
            <th><f:translate key="tx_sisbase_domain_model_profiles.nickname" /></th>
            <th><f:translate key="tx_sisbase_domain_model_profiles.gdpr" /></th>
            <th><f:translate key="tx_sisbase_domain_model_profiles.images" /></th>
            <th><f:translate key="tx_sisbase_domain_model_profiles.last_clubs" /></th>
            <th><f:translate key="tx_sisbase_domain_model_profiles.short_description" /></th>
            <th><f:translate key="tx_sisbase_domain_model_profiles.description" /></th>
            <th><f:translate key="tx_sisbase_domain_model_profiles.profile_typ" /></th>
            <th><f:translate key="tx_sisbase_domain_model_profiles.jersey_number" /></th>
            <th><f:translate key="tx_sisbase_domain_model_profiles.position" /></th>
            <th></th>
            <th></th>
        </tr>
        <f:for each="{profiles}" as="profiles">
            <tr>
                <td><f:link.action action="show" arguments="{profiles : profiles}">{profiles.firstName}</f:link.action></td>
                <td><f:link.action action="show" arguments="{profiles : profiles}">{profiles.lastName}</f:link.action></td>
                <td><f:link.action action="show" arguments="{profiles : profiles}">{profiles.stageName}</f:link.action></td>
                <td><f:link.action action="show" arguments="{profiles : profiles}">{profiles.profileImages.originalResource.name}</f:link.action></td>
                <td><f:link.action action="show" arguments="{profiles : profiles}">{profiles.city}</f:link.action></td>
                <td><f:link.action action="show" arguments="{profiles : profiles}">{profiles.birthday -> f:format.date()}</f:link.action></td>
                <td><f:link.action action="show" arguments="{profiles : profiles}">{profiles.birthplace}</f:link.action></td>
                <td><f:link.action action="show" arguments="{profiles : profiles}">{profiles.nationality}</f:link.action></td>
                <td><f:link.action action="show" arguments="{profiles : profiles}">{profiles.gender}</f:link.action></td>
                <td><f:link.action action="show" arguments="{profiles : profiles}">{profiles.height}</f:link.action></td>
                <td><f:link.action action="show" arguments="{profiles : profiles}">{profiles.weight}</f:link.action></td>
                <td><f:link.action action="show" arguments="{profiles : profiles}">{profiles.contractStart -> f:format.date()}</f:link.action></td>
                <td><f:link.action action="show" arguments="{profiles : profiles}">{profiles.contractEnd -> f:format.date()}</f:link.action></td>
                <td><f:link.action action="show" arguments="{profiles : profiles}">{profiles.email}</f:link.action></td>
                <td><f:link.action action="show" arguments="{profiles : profiles}">{profiles.nickname}</f:link.action></td>
                <td><f:link.action action="show" arguments="{profiles : profiles}">{profiles.gdpr}</f:link.action></td>
                <td><f:link.action action="show" arguments="{profiles : profiles}">{profiles.images.originalResource.name}</f:link.action></td>
                <td><f:link.action action="show" arguments="{profiles : profiles}">{profiles.lastClubs}</f:link.action></td>
                <td><f:link.action action="show" arguments="{profiles : profiles}">{profiles.shortDescription}</f:link.action></td>
                <td><f:link.action action="show" arguments="{profiles : profiles}">{profiles.description}</f:link.action></td>
                <td><f:link.action action="show" arguments="{profiles : profiles}">{profiles.profileTyp}</f:link.action></td>
                <td><f:link.action action="show" arguments="{profiles : profiles}">{profiles.jerseyNumber}</f:link.action></td>
                <td><f:link.action action="show" arguments="{profiles : profiles}">{profiles.position}</f:link.action></td>
                <td><f:link.action action="edit" arguments="{profiles : profiles}">Edit</f:link.action></td>
                <td><f:link.action action="delete" arguments="{profiles : profiles}">Delete</f:link.action></td>
            </tr>
        </f:for>
    </table>

    <f:link.action action="new">New Profiles</f:link.action>
</f:section>
</html>
